<?php
$list = array( /* separator: current_path, current_file, /path/, space. directshow: input, split, self */
 array(
    'command' => "?",
    'execute' => "",
    'separator' => "",
    'directshow' => "split",
    'goto' => "",
    'description' => "Lists command possibilities.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "client-http-user-agent",
    'execute' => $_SERVER['HTTP_USER_AGENT'],
    'separator' => "",
    'directshow' => "input",
    'goto' => "",
    'description' => "Shows the HTTP User Agent of the webbrowser.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "client-remote-ip",
    'execute' => $_SERVER['REMOTE_ADDR'],
    'separator' => "",
    'directshow' => "input",
    'goto' => "",
    'description' => "Shows the remote IP address.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "copying",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/COPYING",
    'description' => "Reads copying conditions for Sovix.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "customize",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/include/Customize",
    'description' => "Loads a file to customize accessibility in Sovix.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "describe-function",
    'execute' => "",
    'separator' => "",
    'directshow' => "split",
    'goto' => "",
    'description' => "Display the full documentation of FUNCTION (a symbol).",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "describe-variable",
    'execute' => "",
    'separator' => "",
    'directshow' => "split",
    'goto' => "",
    'description' => "Display the full documentation of VARIABLE (a symbol).<br />
Returns the documentation as a string, also.<br />
If VARIABLE has a buffer-local value in BUFFER (default to the current buffer),<br />
it is displayed along with the global value.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "faq",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/FAQ.html",
    'description' => "",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "frame",
    'execute' => "",
    'separator' => "current_path",
    'directshow' => "self",
    'goto' => "",
    'description' => "Frame FILENAME.",
    'located_menu' => "",
    'require' => "Permission",
    ),
 array(
    'command' => "html-entities",
    'execute' => "",
    'separator' => "",
    'directshow' => "split",
    'goto' => "/sovix/Tools/HTML_entities",
    'description' => "Lists HTML entities.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "identify",
    'execute' => "",
    'separator' => "current_path",
    'directshow' => "input",
    'goto' => "",
    'description' => "Identify various properties of FILENAME.",
    'located_menu' => "",
    'require' => "Permission",
    ),
 array(
    'command' => "insert",
    'execute' => "",
    'separator' => "current_path",
    'directshow' => "self",
    'goto' => "",
    'description' => "Insert contents of file FILENAME into buffer after point.",
    'located_menu' => "",
    'require' => "Login",
    ),
 array(
    'command' => "insert-wiki",
    'execute' => "",
    'separator' => "/Main/",
    'directshow' => "self",
    'goto' => "",
    'description' => "Insert contents of file FILENAME in /Main/ into buffer after point.",
    'located_menu' => "",
    'require' => "Permission",
    ),
 array(
    'command' => "known-problems",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/etc/PROBLEMS",
    'description' => "Describes known problems from the file PROBLEMS.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "login",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/include/Login",
    'description' => "",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "logout",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/include/Login?logout=y",
    'description' => "Logout by go to the Login page with a logout variable.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "manual",
    'execute' => "",
    'separator' => "",
    'directshow' => "split",
    'goto' => "/sovix/Manual",
    'description' => "",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "mkdir",
    'execute' => "",
    'separator' => "current_path",
    'directshow' => "split",
    'goto' => "",
    'description' => "Make directories.",
    'located_menu' => "",
    'require' => "Login",
    ),
 array(
    'command' => "news",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/etc/NEWS",
    'description' => "Lists news in the current version of Sovix from the file NEWS",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "open",
    'execute' => "",
    'separator' => "current_path",
    'directshow' => "self",
    'goto' => "",
    'description' => "Open FILE in edit mode.",
    'located_menu' => "",
    'require' => "Login",
    ),
 array(
    'command' => "open-wiki",
    'execute' => "",
    'separator' => "/Main/",
    'directshow' => "self",
    'goto' => "",
    'description' => "Open FILE in /Main/ in edit mode",
    'located_menu' => "",
    'require' => "Permission",
    ),
 array(
    'command' => "read",
    'execute' => "",
    'separator' => "current_file",
    'directshow' => "self",
    'goto' => "",
    'description' => "Read FILE.",
    'located_menu' => "",
    'require' => "Permission",
    ),
 array(
    'command' => "remove",
    'execute' => "",
    'separator' => "current_path",
    'directshow' => "input",
    'goto' => "",
    'description' => "Remove FILE.",
    'located_menu' => "",
    'require' => "Login",
    ),
 array(
    'command' => "report-sovix-bug",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "mailto:sovix-bug@sovix.org",
    'description' => "Open application associated with MIME mailto.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "restricted-shell",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/Tools/Restricted_shell",
    'description' => "",
    'located_menu' => "",
    'require' => "Permission",
    ),
 array(
    'command' => "rmdir",
    'execute' => "",
    'separator' => "current_path",
    'directshow' => "input",
    'goto' => "",
    'description' => "Remove DIRECTORY.",
    'located_menu' => "",
    'require' => "Login",
    ),
 array(
    'command' => "search",
    'execute' => "",
    'separator' => " ",
    'directshow' => "",
    'goto' => "/sovix/include/Search?query=$url",
    'description' => "Search filenames that contains STRING with highlights.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "shell",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/Tools/Shell",
    'description' => "The file is used for single line shell mode.",
    'located_menu' => "",
    'require' => "Login",
    ),
 array(
    'command' => "show-toc",
    'execute' => "",
    'separator' => "current_file",
    'directshow' => "",
    'goto' => "$url?print",
    'description' => "Shows Table Of Content for the current file to make it printer friendly.",
    'located_menu' => "",
    'require' => "",
       ),
 array(
    'command' => "sovix.org-donate",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "http://www.sovix.org/Donate",
    'description' => "",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "sovix.org-download",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "http://www.sovix.org/s/",
    'description' => "",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "sovix.org-order-services",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "http://www.sovix.org/Order",
    'description' => "",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "standards",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/Standards",
    'description' => "Lists standards used in this distribution of Sovix.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "tutorial",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/Tutorial",
    'description' => "Open Sovix Tutorial",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "upload",
    'execute' => "",
    'separator' => "",
    'directshow' => "",
    'goto' => "/sovix/include/Upload",
    'description' => "Uploa SOURCE to DESTINATION",
    'located_menu' => "",
    'require' => "Login",
    ),
 array(
    'command' => "validate-css",
    'execute' => "",
    'separator' => "current_file",
    'directshow' => "",
    'goto' => "http://jigsaw.w3.org/css-validator/validator?uri=$url",
    'description' => "Validates CSS of current page source.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "validate-xhtml",
    'execute' => "",
    'separator' => "current_file",
    'directshow' => "",
    'goto' => "http://validator.w3.org/check?uri=$url",
    'description' => "Validates XHTML of current page source.",
    'located_menu' => "",
    'require' => "",
    ),
 array(
    'command' => "version",
    'execute' => "Sovix 0.0 beta 0 unofficial",
    'separator' => "",
    'directshow' => "input",
    'goto' => "",
    'description' => "Shows the full version of Sovix.",
    'located_menu' => "",
    'require' => "",
    ),
 );
?>
